# Maintainer: Joaquin (Pato) Decima <jdecima@lynx.net.ar>

pkgname=lynx-desktop
pkgver=0.2.8
pkgrel=1
pkgdesc="Lynx Desktop Environment - Desktop for LynxOS"
url="https://gitlab.com/LynxOS/Desktop/$pkgname"
depends=(
        'nwjs'
	'nwjs-ffmpeg-codecs'
        'lynx-desktop-service'
        'lynx-dock'
        'gnome-menus'
        'python-dbus'
        'python-gobject'
        'lynx-desktop-settings'
        'libxkbcommon-x11'
        )
license=('GPL')
arch=('x86_64')
md5sums=('19aa14a1d678ad6b223860e840e5dc6b')
source=("$url/-/archive/$pkgver/$pkgname-$pkgver.tar.gz")

package() {
    cd $pkgname-$pkgver
    install -dm755 $pkgdir/usr/share/Lynx/$pkgname/
    install -dm755 $pkgdir/usr/bin/
    cp -r $srcdir/$pkgname-$pkgver/* $pkgdir/usr/share/Lynx/$pkgname/
    chmod a+x $pkgdir/usr/share/Lynx/$pkgname/$pkgname
    sudo ln -sf /usr/share/Lynx/$pkgname/$pkgname $pkgdir/usr/bin/$pkgname 
}
